<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1> các bài toán xử lý chuỗi</h1>
</body>
<script>
    // Kiểm tra giá trị truyền vào có phải chuỗi hay không
    function kiemtraChuoi(paraStr){
        var vtype = typeof paraStr;
        if(vtype == "string")
        {return true;}
        return false;
    }

    // Cắt n phần tử đầu tiên của chuỗi
    function catNphantuchuoi(paraChuoi,paraN){
        var vStringSlice = paraChuoi.slice(0,paraN);
        return vStringSlice;
    }
    // Chuyển chuỗi thành mảng các từ trong chuỗi
    function chuyenThanhMangCacTuTrongChuoi(paraChuoi){
        var vArray = paraChuoi.split(" ");
        console.log(vArray);
    }
    // Chuyển chuỗi về định dạng như output
    function chuyenDinhDangOut(paraChuoi){
        var vStr = paraChuoi.replace(/ /g,"-"); 
        console.log(vStr);
    }
    // Bỏ các khoảng trắng giữa các từ trong chuỗi, viết hoa chữ cái đầu tiên của mỗi từ
function task5(parachuoi){
    var vString = titleCase(parachuoi);
    return vString.replace(/ /g,"");
}
    //Viết hoa chữ cái đầu tiên mỗi từ
function titleCase(str) {
  var convertToArray = str.toLowerCase().split(' ');
  var result = convertToArray.map(function(val) {
    return val.replace(val.charAt(0), val.charAt(0).toUpperCase());
  });
  
  return result.join(' ');
}

// Lặp lại n lần từ 1 từ cho trước, có khoảng trắng giữa các lần lặp
function lapLaiNLanchuStr(paraStr,paraN){
    var vStr = "" ;
    for(var i =0; i < paraN; i ++){
        vStr += paraStr + " "; 
    }
    console.log(vStr);
}
 
// Đưa chuỗi thành mảng mà mỗi phần tử là n ký tự lần lượt từ chuỗi đó
function splitAString(paraStr,paraN){
    
    var b = new Array();
    var vLength = paraStr.length;
    
    
    debugger;
    for(var i =0; i < vLength;){
        var vStrSlice = paraStr.slice(0,paraN);
        var paraStr = paraStr.substr(paraN,vLength);
        b.push(vStrSlice);
        vLength= vLength - paraN;
    }
    console.log(b);

   

}

// Đếm số lần xuất hiện của chuỗi con trong 1 chuỗi cho trước
function demSoLanXuatHien(paraStr,paraSearch){
    // var vString = "The quick brown fox jumps over the lazy dog";
    var iterator = vString.matchAll(/paraSearch/gi);
    console.log(Array.from(iterator).length);
}

// Thay n ký tự bên phải của một chuỗi bởi 1 chuỗi khác

function thayTheKyTubenPhai(paraStrA,paraStrB){
    var vStringC = paraStrA.substr(0,1);
    vStringC = vStringC.concat(paraStrB);
    console.log(vStringC);
}

</script>
</html>